<?php

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '系统配置',
	'order' => 1,
	//'menu'	=> 'manage',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '通用设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '系统介绍',
			'default' 	=> '',
			'desc' 		=> '请输入系统介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"信息宝",' . time(),
		),
	),

	/*
	'alter' => array
	(
		2 => array
		(
			array('update', 'task_id', 'task_id', 'varchar-800  软装任务链接'),
			//array('add', 'config', 'config', 'int-11 1 配置'),
		),
		'version' => 2,
	),
	*/

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
